All of lore.kernel.org
 help / color / mirror / Atom feed
* [igt-dev] [PATCH i-g-t] run-tests.sh: Use igt_runner instead of piglit by default
@ 2019-09-13 12:51 Petri Latvala
  2019-09-13 13:38 ` [igt-dev] ✓ Fi.CI.BAT: success for " Patchwork
                   ` (2 more replies)
  0 siblings, 3 replies; 4+ messages in thread
From: Petri Latvala @ 2019-09-13 12:51 UTC (permalink / raw)
  To: igt-dev; +Cc: Tomi Sarvela, Petri Latvala

The old behaviour of running everything with piglit with the script is
now behind the flag -p.

When using igt_runner and its pals, -b now takes a blacklist file á la
tests/intel-ci/blacklist.txt.

Additional useful command line flags for igt_runner, like the various
forms of --abort-on-monitored-error or --dmesg-warning-level are not
supported. The main supported form of running tests is igt_runner
directly.

Signed-off-by: Petri Latvala <petri.latvala@intel.com>
Cc: Tomi Sarvela <tomi.p.sarvela@intel.com>
Cc: Arkadiusz Hiler <arkadiusz.hiler@intel.com>
---
 scripts/run-tests.sh | 110 ++++++++++++++++++++++++++++++++++---------
 1 file changed, 87 insertions(+), 23 deletions(-)

diff --git a/scripts/run-tests.sh b/scripts/run-tests.sh
index 4209dd8c..615b7da5 100755
--- a/scripts/run-tests.sh
+++ b/scripts/run-tests.sh
@@ -27,17 +27,37 @@ ROOT="`readlink -f $ROOT/..`"
 IGT_CONFIG_PATH="`readlink -f ${IGT_CONFIG_PATH:-$HOME/.igtrc}`"
 RESULTS="$ROOT/results"
 PIGLIT=`which piglit 2> /dev/null`
+IGT_RUNNER=
+IGT_RESUME=
+USE_PIGLIT=0
+RUNNER=
+RESUME=
+BLACKLIST=
+
+function find_file # basename <possible paths>
+{
+	base=$1
+	shift
 
-if [ -z "$IGT_TEST_ROOT" ]; then
-	paths=("$ROOT/build/tests/test-list.txt"
-	       "$ROOT/tests/test-list.txt")
-	for p in "${paths[@]}"; do
-		if [ -f "$p" ]; then
-			echo "Found test list: \"$p\""
-			IGT_TEST_ROOT=$(dirname "$p")
-			break
+	while [ -n "$1" ]; do
+		if [ -f "$1/$base" ]; then
+			echo "$1/$base";
+			return 0
 		fi
+		shift
 	done
+
+	return 1
+}
+
+if [ -z "$IGT_TEST_ROOT" ]; then
+	p=$(find_file test-list.txt \
+		    "$ROOT/build/tests" \
+		    "$ROOT/tests" )
+	if [ -f "$p" ]; then
+		echo "Found test list: \"$p\"" >&2
+		IGT_TEST_ROOT=$(dirname "$p")
+	fi
 fi
 
 if [ -z "$IGT_TEST_ROOT" ]; then
@@ -48,14 +68,22 @@ fi
 
 IGT_TEST_ROOT="`readlink -f ${IGT_TEST_ROOT}`"
 
+function find_runner_binaries
+{
+	IGT_RUNNER=$(find_file igt_runner "$ROOT/build/runner" "$ROOT/runner")
+	IGT_RESUME=$(find_file igt_resume "$ROOT/build/runner" "$ROOT/runner")
+}
+
 function download_piglit {
 	git clone https://anongit.freedesktop.org/git/piglit.git "$ROOT/piglit"
 }
 
-function run_piglit # as-root <args>
+function execute_runner # as-root <runner> <args>
 {
 	local need_root=$1
 	shift
+	local runner=$1
+	shift
 	local sudo
 
 	export IGT_TEST_ROOT IGT_CONFIG_PATH
@@ -64,7 +92,7 @@ function run_piglit # as-root <args>
 		sudo="sudo --preserve-env=IGT_TEST_ROOT,IGT_CONFIG_PATH"
 	fi
 
-	$sudo $PIGLIT "$@"
+	$sudo $runner "$@"
 }
 
 function print_help {
@@ -79,19 +107,24 @@ function print_help {
 	echo "  -t <regex>      only include tests that match the regular expression"
 	echo "                  (can be used more than once)"
 	echo "  -T <filename>   run tests listed in testlist"
-	echo "                  (overrides -t and -x)"
+	echo "                  (overrides -t and -x when running with piglit)"
 	echo "  -v              enable verbose mode"
 	echo "  -x <regex>      exclude tests that match the regular expression"
 	echo "                  (can be used more than once)"
+	echo "  -b              blacklist file to use for filtering"
+	echo "                  (can be used more than once)"
+	echo "                  (not supported by Piglit)"
 	echo "  -R              resume interrupted test where the partial results"
 	echo "                  are in the directory given by -r"
 	echo "  -n              do not retry incomplete tests when resuming a"
 	echo "                  test run with -R"
+	echo "                  (only valid for Piglit)"
+	echo "  -p              use Piglit instead of igt_runner"
 	echo ""
 	echo "Useful patterns for test filtering are described in the API documentation."
 }
 
-while getopts ":dhlr:st:T:vx:Rn" opt; do
+while getopts ":dhlr:st:T:vx:Rnpb:" opt; do
 	case $opt in
 		d) download_piglit; exit ;;
 		h) print_help; exit ;;
@@ -100,10 +133,12 @@ while getopts ":dhlr:st:T:vx:Rn" opt; do
 		s) SUMMARY="html" ;;
 		t) FILTER="$FILTER -t $OPTARG" ;;
 		T) FILTER="$FILTER --test-list $OPTARG" ;;
-		v) VERBOSE="-v" ;;
+		v) VERBOSE="-l verbose" ;;
 		x) EXCLUDE="$EXCLUDE -x $OPTARG" ;;
-		R) RESUME="true" ;;
+		R) RESUME_RUN="true" ;;
 		n) NORETRY="--no-retry" ;;
+		p) USE_PIGLIT=1 ;;
+		b) BLACKLIST="$BLACKLIST -b $OPTARG" ;;
 		:)
 			echo "Option -$OPTARG requires an argument."
 			exit 1
@@ -127,25 +162,54 @@ if [ "x$PIGLIT" == "x" ]; then
 	PIGLIT="$ROOT/piglit/piglit"
 fi
 
-if [ ! -x "$PIGLIT" ]; then
-	echo "Could not find Piglit."
-	echo "Please install Piglit or use -d to download Piglit locally."
-	exit 1
+RUN_ARGS=
+RESUME_ARGS=
+LIST_ARGS=
+if [ "$USE_PIGLIT" -eq "1" ]; then
+	if [ ! -x "$PIGLIT" ]; then
+		echo "Could not find Piglit."
+		echo "Please install Piglit or use -d to download Piglit locally."
+		exit 1
+	fi
+
+	RUNNER=$PIGLIT
+	RESUME=$PIGLIT
+	RUN_ARGS="run igt --ignore-missing"
+	RESUME_ARGS="resume $NORETRY"
+	LIST_ARGS="print-cmd igt --format {name}"
+else
+	find_runner_binaries
+	if [ ! -x "$IGT_RUNNER" -o ! -x "$IGT_RESUME" ]; then
+		echo "Could not find igt_runner binaries."
+		echo "Please build the runner, or use Piglit with the -p flag."
+		exit 1
+	fi
+
+	RUNNER=$IGT_RUNNER
+	RESUME=$IGT_RESUME
+	RUN_ARGS="$BLACKLIST"
+	LIST_ARGS="-L $BLACKLIST"
 fi
 
 if [ "x$LIST_TESTS" != "x" ]; then
-	run_piglit 0 print-cmd --format "{name}" igt
+	execute_runner 0 $RUNNER $LIST_ARGS
 	exit
 fi
 
-if [ "x$RESUME" != "x" ]; then
-	run_piglit 1 resume "$RESULTS" $NORETRY
+if [ "x$RESUME_RUN" != "x" ]; then
+	execute_runner 1 $RESUME $RESUME_ARGS "$RESULTS"
 else
 	mkdir -p "$RESULTS"
-	run_piglit 1 run igt --ignore-missing -o "$RESULTS" -s $VERBOSE $EXCLUDE $FILTER
+	execute_runner 1 $RUNNER $RUN_ARGS -o -s "$RESULTS" $VERBOSE $EXCLUDE $FILTER
 fi
 
 if [ "$SUMMARY" == "html" ]; then
-	run_piglit 0 summary html --overwrite "$RESULTS/html" "$RESULTS"
+	if [ ! -x "$PIGLIT" ]; then
+		echo "Could not find Piglit, required for HTML generation."
+		echo "Please install Piglit or use -d to download Piglit locally."
+		exit 1
+	fi
+
+	execute_runner 0 $PIGLIT summary html --overwrite "$RESULTS/html" "$RESULTS"
 	echo "HTML summary has been written to $RESULTS/html/index.html"
 fi
-- 
2.19.1

_______________________________________________
igt-dev mailing list
igt-dev@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/igt-dev

^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [igt-dev] ✓ Fi.CI.BAT: success for run-tests.sh: Use igt_runner instead of piglit by default
  2019-09-13 12:51 [igt-dev] [PATCH i-g-t] run-tests.sh: Use igt_runner instead of piglit by default Petri Latvala
@ 2019-09-13 13:38 ` Patchwork
  2019-09-14 12:51 ` [igt-dev] ✓ Fi.CI.IGT: " Patchwork
  2019-09-16 17:04 ` [igt-dev] [PATCH i-g-t] " Arkadiusz Hiler
  2 siblings, 0 replies; 4+ messages in thread
From: Patchwork @ 2019-09-13 13:38 UTC (permalink / raw)
  To: Petri Latvala; +Cc: igt-dev

== Series Details ==

Series: run-tests.sh: Use igt_runner instead of piglit by default
URL   : https://patchwork.freedesktop.org/series/66662/
State : success

== Summary ==

CI Bug Log - changes from CI_DRM_6889 -> IGTPW_3458
====================================================

Summary
-------

  **SUCCESS**

  No regressions found.

  External URL: https://patchwork.freedesktop.org/api/1.0/series/66662/revisions/1/mbox/

Possible new issues
-------------------

  Here are the unknown changes that may have been introduced in IGTPW_3458:

### IGT changes ###

#### Suppressed ####

  The following results come from untrusted machines, tests, or statuses.
  They do not affect the overall result.

  * igt@gem_ctx_create@basic-files:
    - {fi-tgl-u}:         [PASS][1] -> [INCOMPLETE][2]
   [1]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/fi-tgl-u/igt@gem_ctx_create@basic-files.html
   [2]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/fi-tgl-u/igt@gem_ctx_create@basic-files.html

  
Known issues
------------

  Here are the changes found in IGTPW_3458 that come from known issues:

### IGT changes ###

#### Issues hit ####

  * igt@gem_busy@busy-all:
    - fi-icl-u3:          [PASS][3] -> [DMESG-WARN][4] ([fdo#107724]) +1 similar issue
   [3]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/fi-icl-u3/igt@gem_busy@busy-all.html
   [4]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/fi-icl-u3/igt@gem_busy@busy-all.html

  * igt@gem_exec_suspend@basic-s3:
    - fi-blb-e6850:       [PASS][5] -> [INCOMPLETE][6] ([fdo#107718])
   [5]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/fi-blb-e6850/igt@gem_exec_suspend@basic-s3.html
   [6]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/fi-blb-e6850/igt@gem_exec_suspend@basic-s3.html

  * igt@i915_selftest@live_active:
    - fi-bsw-n3050:       [PASS][7] -> [DMESG-WARN][8] ([fdo#111373])
   [7]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/fi-bsw-n3050/igt@i915_selftest@live_active.html
   [8]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/fi-bsw-n3050/igt@i915_selftest@live_active.html

  
#### Possible fixes ####

  * igt@gem_mmap_gtt@basic-write-gtt:
    - fi-icl-u3:          [DMESG-WARN][9] ([fdo#107724]) -> [PASS][10]
   [9]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/fi-icl-u3/igt@gem_mmap_gtt@basic-write-gtt.html
   [10]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/fi-icl-u3/igt@gem_mmap_gtt@basic-write-gtt.html

  * igt@kms_force_connector_basic@force-edid:
    - fi-ilk-650:         [DMESG-WARN][11] ([fdo#106387]) -> [PASS][12] +1 similar issue
   [11]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/fi-ilk-650/igt@kms_force_connector_basic@force-edid.html
   [12]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/fi-ilk-650/igt@kms_force_connector_basic@force-edid.html

  
#### Warnings ####

  * igt@kms_chamelium@hdmi-hpd-fast:
    - fi-kbl-7500u:       [FAIL][13] ([fdo#111096]) -> [FAIL][14] ([fdo#111407])
   [13]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/fi-kbl-7500u/igt@kms_chamelium@hdmi-hpd-fast.html
   [14]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/fi-kbl-7500u/igt@kms_chamelium@hdmi-hpd-fast.html

  
  {name}: This element is suppressed. This means it is ignored when computing
          the status of the difference (SUCCESS, WARNING, or FAILURE).

  [fdo#106387]: https://bugs.freedesktop.org/show_bug.cgi?id=106387
  [fdo#107713]: https://bugs.freedesktop.org/show_bug.cgi?id=107713
  [fdo#107718]: https://bugs.freedesktop.org/show_bug.cgi?id=107718
  [fdo#107724]: https://bugs.freedesktop.org/show_bug.cgi?id=107724
  [fdo#111096]: https://bugs.freedesktop.org/show_bug.cgi?id=111096
  [fdo#111373]: https://bugs.freedesktop.org/show_bug.cgi?id=111373
  [fdo#111407]: https://bugs.freedesktop.org/show_bug.cgi?id=111407


Participating hosts (53 -> 47)
------------------------------

  Additional (1): fi-tgl-u2 
  Missing    (7): fi-ilk-m540 fi-hsw-4200u fi-byt-squawks fi-bsw-cyan fi-icl-y fi-byt-clapper fi-bdw-samus 


Build changes
-------------

  * CI: CI-20190529 -> None
  * IGT: IGT_5180 -> IGTPW_3458

  CI-20190529: 20190529
  CI_DRM_6889: 1e5f271c570175c0074a9b2bc748e9f391f47221 @ git://anongit.freedesktop.org/gfx-ci/linux
  IGTPW_3458: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/
  IGT_5180: 811b10e2bd7fd2cd8ced9bbb55361c178886bbbd @ git://anongit.freedesktop.org/xorg/app/intel-gpu-tools

== Logs ==

For more details see: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/
_______________________________________________
igt-dev mailing list
igt-dev@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/igt-dev

^ permalink raw reply	[flat|nested] 4+ messages in thread

* [igt-dev] ✓ Fi.CI.IGT: success for run-tests.sh: Use igt_runner instead of piglit by default
  2019-09-13 12:51 [igt-dev] [PATCH i-g-t] run-tests.sh: Use igt_runner instead of piglit by default Petri Latvala
  2019-09-13 13:38 ` [igt-dev] ✓ Fi.CI.BAT: success for " Patchwork
@ 2019-09-14 12:51 ` Patchwork
  2019-09-16 17:04 ` [igt-dev] [PATCH i-g-t] " Arkadiusz Hiler
  2 siblings, 0 replies; 4+ messages in thread
From: Patchwork @ 2019-09-14 12:51 UTC (permalink / raw)
  To: Petri Latvala; +Cc: igt-dev

== Series Details ==

Series: run-tests.sh: Use igt_runner instead of piglit by default
URL   : https://patchwork.freedesktop.org/series/66662/
State : success

== Summary ==

CI Bug Log - changes from CI_DRM_6889_full -> IGTPW_3458_full
====================================================

Summary
-------

  **SUCCESS**

  No regressions found.

  External URL: https://patchwork.freedesktop.org/api/1.0/series/66662/revisions/1/mbox/

Known issues
------------

  Here are the changes found in IGTPW_3458_full that come from known issues:

### IGT changes ###

#### Issues hit ####

  * igt@gem_exec_schedule@fifo-bsd:
    - shard-iclb:         [PASS][1] -> [SKIP][2] ([fdo#111325]) +4 similar issues
   [1]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb7/igt@gem_exec_schedule@fifo-bsd.html
   [2]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb1/igt@gem_exec_schedule@fifo-bsd.html

  * igt@gem_exec_schedule@independent-bsd1:
    - shard-iclb:         [PASS][3] -> [SKIP][4] ([fdo#109276]) +18 similar issues
   [3]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb2/igt@gem_exec_schedule@independent-bsd1.html
   [4]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb8/igt@gem_exec_schedule@independent-bsd1.html

  * igt@i915_suspend@fence-restore-tiled2untiled:
    - shard-apl:          [PASS][5] -> [DMESG-WARN][6] ([fdo#108566]) +3 similar issues
   [5]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-apl6/igt@i915_suspend@fence-restore-tiled2untiled.html
   [6]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-apl3/igt@i915_suspend@fence-restore-tiled2untiled.html

  * igt@kms_atomic_transition@1x-modeset-transitions-fencing:
    - shard-iclb:         [PASS][7] -> [INCOMPLETE][8] ([fdo#107713])
   [7]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb7/igt@kms_atomic_transition@1x-modeset-transitions-fencing.html
   [8]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb7/igt@kms_atomic_transition@1x-modeset-transitions-fencing.html

  * igt@kms_cursor_crc@pipe-a-cursor-64x64-sliding:
    - shard-kbl:          [PASS][9] -> [FAIL][10] ([fdo#103232]) +1 similar issue
   [9]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-kbl1/igt@kms_cursor_crc@pipe-a-cursor-64x64-sliding.html
   [10]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-kbl2/igt@kms_cursor_crc@pipe-a-cursor-64x64-sliding.html
    - shard-apl:          [PASS][11] -> [FAIL][12] ([fdo#103232]) +1 similar issue
   [11]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-apl3/igt@kms_cursor_crc@pipe-a-cursor-64x64-sliding.html
   [12]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-apl2/igt@kms_cursor_crc@pipe-a-cursor-64x64-sliding.html

  * igt@kms_cursor_crc@pipe-a-cursor-alpha-opaque:
    - shard-glk:          [PASS][13] -> [FAIL][14] ([fdo#103232])
   [13]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-glk5/igt@kms_cursor_crc@pipe-a-cursor-alpha-opaque.html
   [14]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-glk4/igt@kms_cursor_crc@pipe-a-cursor-alpha-opaque.html

  * igt@kms_flip@flip-vs-suspend-interruptible:
    - shard-hsw:          [PASS][15] -> [INCOMPLETE][16] ([fdo#103540])
   [15]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-hsw6/igt@kms_flip@flip-vs-suspend-interruptible.html
   [16]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-hsw6/igt@kms_flip@flip-vs-suspend-interruptible.html

  * igt@kms_frontbuffer_tracking@fbcpsr-1p-pri-indfb-multidraw:
    - shard-iclb:         [PASS][17] -> [FAIL][18] ([fdo#103167]) +3 similar issues
   [17]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb6/igt@kms_frontbuffer_tracking@fbcpsr-1p-pri-indfb-multidraw.html
   [18]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb2/igt@kms_frontbuffer_tracking@fbcpsr-1p-pri-indfb-multidraw.html

  * igt@kms_psr@psr2_sprite_plane_move:
    - shard-iclb:         [PASS][19] -> [SKIP][20] ([fdo#109441]) +1 similar issue
   [19]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb2/igt@kms_psr@psr2_sprite_plane_move.html
   [20]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb7/igt@kms_psr@psr2_sprite_plane_move.html

  * igt@kms_setmode@basic:
    - shard-hsw:          [PASS][21] -> [FAIL][22] ([fdo#99912])
   [21]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-hsw5/igt@kms_setmode@basic.html
   [22]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-hsw7/igt@kms_setmode@basic.html

  * igt@kms_vblank@pipe-b-ts-continuation-suspend:
    - shard-kbl:          [PASS][23] -> [DMESG-WARN][24] ([fdo#108566])
   [23]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-kbl6/igt@kms_vblank@pipe-b-ts-continuation-suspend.html
   [24]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-kbl3/igt@kms_vblank@pipe-b-ts-continuation-suspend.html

  
#### Possible fixes ####

  * igt@gem_cpu_reloc@full:
    - shard-apl:          [INCOMPLETE][25] ([fdo#103927]) -> [PASS][26] +2 similar issues
   [25]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-apl8/igt@gem_cpu_reloc@full.html
   [26]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-apl5/igt@gem_cpu_reloc@full.html

  * igt@gem_ctx_shared@exec-single-timeline-bsd:
    - shard-iclb:         [SKIP][27] ([fdo#110841]) -> [PASS][28]
   [27]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb2/igt@gem_ctx_shared@exec-single-timeline-bsd.html
   [28]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb7/igt@gem_ctx_shared@exec-single-timeline-bsd.html

  * igt@gem_exec_schedule@independent-bsd:
    - shard-iclb:         [SKIP][29] ([fdo#111325]) -> [PASS][30] +4 similar issues
   [29]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb4/igt@gem_exec_schedule@independent-bsd.html
   [30]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb6/igt@gem_exec_schedule@independent-bsd.html

  * igt@gem_exec_schedule@preempt-other-bsd1:
    - shard-iclb:         [SKIP][31] ([fdo#109276]) -> [PASS][32] +10 similar issues
   [31]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb8/igt@gem_exec_schedule@preempt-other-bsd1.html
   [32]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb4/igt@gem_exec_schedule@preempt-other-bsd1.html

  * igt@i915_suspend@debugfs-reader:
    - shard-apl:          [DMESG-WARN][33] ([fdo#108566]) -> [PASS][34] +4 similar issues
   [33]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-apl4/igt@i915_suspend@debugfs-reader.html
   [34]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-apl8/igt@i915_suspend@debugfs-reader.html

  * igt@kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-pwrite:
    - shard-iclb:         [FAIL][35] ([fdo#103167]) -> [PASS][36] +1 similar issue
   [35]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb3/igt@kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-pwrite.html
   [36]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb8/igt@kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-pwrite.html

  * igt@kms_plane@plane-panning-bottom-right-suspend-pipe-b-planes:
    - shard-kbl:          [INCOMPLETE][37] ([fdo#103665]) -> [PASS][38]
   [37]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-kbl3/igt@kms_plane@plane-panning-bottom-right-suspend-pipe-b-planes.html
   [38]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-kbl6/igt@kms_plane@plane-panning-bottom-right-suspend-pipe-b-planes.html

  * igt@kms_psr@psr2_primary_page_flip:
    - shard-iclb:         [SKIP][39] ([fdo#109441]) -> [PASS][40] +1 similar issue
   [39]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb6/igt@kms_psr@psr2_primary_page_flip.html
   [40]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb2/igt@kms_psr@psr2_primary_page_flip.html

  * igt@kms_psr@suspend:
    - shard-iclb:         [INCOMPLETE][41] ([fdo#107713]) -> [PASS][42]
   [41]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb3/igt@kms_psr@suspend.html
   [42]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb2/igt@kms_psr@suspend.html

  * igt@kms_setmode@basic:
    - shard-apl:          [FAIL][43] ([fdo#99912]) -> [PASS][44]
   [43]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-apl8/igt@kms_setmode@basic.html
   [44]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-apl4/igt@kms_setmode@basic.html

  
#### Warnings ####

  * igt@gem_mocs_settings@mocs-isolation-bsd2:
    - shard-iclb:         [FAIL][45] ([fdo#111330]) -> [SKIP][46] ([fdo#109276])
   [45]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6889/shard-iclb4/igt@gem_mocs_settings@mocs-isolation-bsd2.html
   [46]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/shard-iclb5/igt@gem_mocs_settings@mocs-isolation-bsd2.html

  
  [fdo#103167]: https://bugs.freedesktop.org/show_bug.cgi?id=103167
  [fdo#103232]: https://bugs.freedesktop.org/show_bug.cgi?id=103232
  [fdo#103540]: https://bugs.freedesktop.org/show_bug.cgi?id=103540
  [fdo#103665]: https://bugs.freedesktop.org/show_bug.cgi?id=103665
  [fdo#103927]: https://bugs.freedesktop.org/show_bug.cgi?id=103927
  [fdo#107713]: https://bugs.freedesktop.org/show_bug.cgi?id=107713
  [fdo#108566]: https://bugs.freedesktop.org/show_bug.cgi?id=108566
  [fdo#109276]: https://bugs.freedesktop.org/show_bug.cgi?id=109276
  [fdo#109441]: https://bugs.freedesktop.org/show_bug.cgi?id=109441
  [fdo#110841]: https://bugs.freedesktop.org/show_bug.cgi?id=110841
  [fdo#111325]: https://bugs.freedesktop.org/show_bug.cgi?id=111325
  [fdo#111330]: https://bugs.freedesktop.org/show_bug.cgi?id=111330
  [fdo#99912]: https://bugs.freedesktop.org/show_bug.cgi?id=99912


Participating hosts (10 -> 6)
------------------------------

  Missing    (4): pig-skl-6260u shard-skl pig-hsw-4770r pig-glk-j5005 


Build changes
-------------

  * CI: CI-20190529 -> None
  * IGT: IGT_5180 -> IGTPW_3458
  * Piglit: piglit_4509 -> None

  CI-20190529: 20190529
  CI_DRM_6889: 1e5f271c570175c0074a9b2bc748e9f391f47221 @ git://anongit.freedesktop.org/gfx-ci/linux
  IGTPW_3458: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/
  IGT_5180: 811b10e2bd7fd2cd8ced9bbb55361c178886bbbd @ git://anongit.freedesktop.org/xorg/app/intel-gpu-tools
  piglit_4509: fdc5a4ca11124ab8413c7988896eec4c97336694 @ git://anongit.freedesktop.org/piglit

== Logs ==

For more details see: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3458/
_______________________________________________
igt-dev mailing list
igt-dev@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/igt-dev

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [igt-dev] [PATCH i-g-t] run-tests.sh: Use igt_runner instead of piglit by default
  2019-09-13 12:51 [igt-dev] [PATCH i-g-t] run-tests.sh: Use igt_runner instead of piglit by default Petri Latvala
  2019-09-13 13:38 ` [igt-dev] ✓ Fi.CI.BAT: success for " Patchwork
  2019-09-14 12:51 ` [igt-dev] ✓ Fi.CI.IGT: " Patchwork
@ 2019-09-16 17:04 ` Arkadiusz Hiler
  2 siblings, 0 replies; 4+ messages in thread
From: Arkadiusz Hiler @ 2019-09-16 17:04 UTC (permalink / raw)
  To: Petri Latvala; +Cc: igt-dev, Tomi Sarvela

On Fri, Sep 13, 2019 at 03:51:04PM +0300, Petri Latvala wrote:
> The old behaviour of running everything with piglit with the script is
> now behind the flag -p.
> 
> When using igt_runner and its pals, -b now takes a blacklist file á la
> tests/intel-ci/blacklist.txt.
> 
> Additional useful command line flags for igt_runner, like the various
> forms of --abort-on-monitored-error or --dmesg-warning-level are not
> supported. The main supported form of running tests is igt_runner
> directly.
> 
> Signed-off-by: Petri Latvala <petri.latvala@intel.com>
> Cc: Tomi Sarvela <tomi.p.sarvela@intel.com>
> Cc: Arkadiusz Hiler <arkadiusz.hiler@intel.com>
Reviewed-by: Arkadiusz Hiler <arkadiusz.hiler@intel.com>
_______________________________________________
igt-dev mailing list
igt-dev@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/igt-dev

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2019-09-16 17:04 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-09-13 12:51 [igt-dev] [PATCH i-g-t] run-tests.sh: Use igt_runner instead of piglit by default Petri Latvala
2019-09-13 13:38 ` [igt-dev] ✓ Fi.CI.BAT: success for " Patchwork
2019-09-14 12:51 ` [igt-dev] ✓ Fi.CI.IGT: " Patchwork
2019-09-16 17:04 ` [igt-dev] [PATCH i-g-t] " Arkadiusz Hiler

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.